{include file="sm_header.tpl"}

{include file="install/Install.js.tpl"}

<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">
		<table class="editTable">
		<form method="get" action="{$smarty.server.SCRIPT_NAME}">
				<tr>
					<td class="tblPagingLeft" colspan="7" align="right">
						<br>
					</td>
				</tr>

				{if $data.test_connection !== NULL}
				<tr>
					{if $data.test_connection === TRUE}
						<td class="tblDataWarning" colspan="2">
						Connection test to your database as a non-privileged user has <b>SUCCEEDED</b>! You may continue.
						</td>
					{elseif $data.test_connection === FALSE}
						<td class="tblDataERROR" colspan="2">
						Connection test to your database as a non-privileged user has <b>FAILED</b>! Please correct them and try again.
						</td>
					{/if}
				</tr>
				{/if}

				{if $data.test_priv_connection !== NULL}
				<tr>
					{if $data.test_priv_connection === FALSE}
						<td class="tblDataERROR" colspan="2">
						Connection test to your database as a privileged user has <b>FAILED</b>! Please correct the user name/password and try again.
						</td>
					{/if}

				</tr>
				{/if}

				<tr>
					<td class="tblDataWhiteNH" colspan="7" align="right">
						Please enter your database configuration information below. If you are unsure, use the default values.
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						Database Type:
					</td>
					<td class="cellRightEditTable">
						<select name="data[type]">
							{html_options options=$data.type_options selected=$data.type}
						</select>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						Host Name:
					</td>
					<td class="cellRightEditTable">
						<input type="text" name="data[host]" value="{$data.host}">
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						Database Name:
					</td>
					<td class="cellRightEditTable">
						<input type="text" name="data[database_name]" value="{$data.database_name}">
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						User Name for {$APPLICATION_NAME}:
					</td>
					<td class="cellRightEditTable">
						<input type="text" name="data[user]" value="{$data.user}">
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						Password for {$APPLICATION_NAME}:
					</td>
					<td class="cellRightEditTable">
						<input type="text" name="data[password]" value="{$data.password}">
					</td>
				</tr>

				<tr>
					<td class="tblDataWhiteNH" colspan="2">
						Privileged Database User Name / Password. This is only used to create the database schema if the above user does not have permissions to do so.
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						Privileged Database User Name:
					</td>
					<td class="cellRightEditTable">
						<input type="text" name="data[priv_user]" value="{$data.priv_user}"> (ie: root, postgres)
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						Privileged Database User Password:
					</td>
					<td class="cellRightEditTable">
						<input type="text" name="data[priv_password]" value="{$data.priv_password}">
					</td>
				</tr>

{*
				<tr>
					<td class="tblDataWhiteNH" colspan="2">
						<b>Note:</b> Your PHP configuration file (php.ini) is located at:<br> {$install_obj->getPHPConfigFile()}
					</td>
				</tr>
*}
				<tr>
					<td class="tblPagingLeft" colspan="7" align="right">
						<input type="submit" id="next_button" name="action" value="Back">
						<input type="submit" id="test_connection" name="action" value="Test Connection">
						<input type="submit" id="next_button" name="action" value="Next">
					</td>
				</tr>
			</table>
		</form>
	</div>
</div>
{include file="footer.tpl"}