{include file="sm_header.tpl"}
<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">

		<table class="tblList">

		<form method="get" action="{$smarty.server.SCRIPT_NAME}">
				<tr>
					<td class="tblPagingLeft" colspan="100" align="right">
						<a href="javascript: exportReport()"><img src="{$IMAGES_URL}/excel_icon.gif"></a>
					</td>
				</tr>

				{foreach from=$rows item=row name=rows}
					{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
					<tr class="tblHeader">
						<td colspan="2">
							{$row.first_name} {$row.last_name}
						</td>
					</tr>

					<tr>
						<td width="50%" valign="top">
							<table class="editTable">
								<tr>
									<td class="cellLeftEditTable">
										Employee:
									</td>
									<td class="cellRightEditTable">
										{$row.first_name} {$row.last_name}
									</td>
								</tr>
								<tr>
									<td class="cellLeftEditTable">
										City:
									</td>
									<td class="cellRightEditTable">
										{$row.city}
									</td>
								</tr>
								<tr>
									<td class="cellLeftEditTable">
										Province:
									</td>
									<td class="cellRightEditTable">
										{$row.province}
									</td>
								</tr>
							</table>
						</td>
						<td valign="top">
							<table class="editTable">
								<tr>
									<td class="cellLeftEditTable">
										Title:
									</td>
									<td class="cellRightEditTable">
										{$row.title|default:"--"}
									</td>
								</tr>
								<tr>
									<td class="cellLeftEditTable">
										Hired Date:
									</td>
									<td class="cellRightEditTable">
										{getdate type="DATE" epoch=$row.hire_date defaul=true} ({$row.hire_date_since} ago)
									</td>
								</tr>
								<tr>
									<td class="cellLeftEditTable">
										Termination Date:
									</td>
									<td class="cellRightEditTable">
										{getdate type="DATE" epoch=$row.termination_date default=true}
									</td>
								</tr>
								<tr>
									<td class="cellLeftEditTable">
										Birth Date:
									</td>
									<td class="cellRightEditTable">
										{getdate type="DATE" epoch=$row.birth_date default=true} ({$row.birth_date_since} yrs old)
									</td>
								</tr>
							</table>
						</td>
					</tr>

					{* Wage History *}
					{if isset($columns.wage)}
					{foreach from=$row.user_wage_rows item=user_wage name=user_wage}
						{if $smarty.foreach.user_wage.first}
						<tr>
							<td colspan="2">
								<table class="tblList">
									<tr class="tblHeader">
										<td colspan="3">
											Wage History
										</td>
									</tr>
									<tr class="tblHeader">
										<td>
											Type
										</td>
										<td>
											Wage
										</td>
										<td>
											Effective Date
										</td>
									</tr>
						{/if}

								{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
								<tr class="{$row_class}">
									<td>
										{$user_wage.type}
									</td>
									<td>
										${$user_wage.wage}
									</td>
									<td>
										{getdate type="DATE" epoch=$user_wage.effective_date default=TRUE} ({$user_wage.effective_date_since} ago)
									</td>
								</tr>


						{if $smarty.foreach.user_wage.last}
								</table>
							</td>
						</tr>
						{/if}
					{foreachelse}
						<tr class="tblHeader">
							<td colspan="2">
								No Wage History
							</td>
						</td>
					{/foreach}
					{/if}

					{* Attendance History *}
					{if isset($columns.attendance)}
						<tr>
							<td colspan="2">
								<table class="tblList">
									<tr class="tblHeader">
										<td colspan="100">
											Attendance History
										</td>
									</tr>
									<tr class="tblHeader">
										<td rowspan="2">
											Name
										</td>
										<td colspan="4">
											Per Day
										</td>
										<td rowspan="100">
											<br>
										</td>
										<td  colspan="4">
											Per Week
										</td>
										<td rowspan="100">
											<br>
										</td>
										<td  colspan="4">
											Per Month
										</td>
									</tr>
									<tr class="tblHeader">
										<td>
											Min
										</td>
										<td>
											Avg
										</td>
										<td>
											Max
										</td>
										<td>
											Days
										</td>

										<td>
											Min
										</td>
										<td>
											Avg
										</td>
										<td>
											Max
										</td>
										<td>
											Weeks
										</td>

										<td>
											Min
										</td>
										<td>
											Avg
										</td>
										<td>
											Max
										</td>
										<td>
											Months
										</td>
									</tr>


									{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
									<tr class="{$row_class}">
										<td class="cellLeftEditTable">
											Days Worked:
										</td>
										<td colspan="4">
											N/A
										</td>
										<td>
											{$row.user_attendance_rows.days_worked.week.min}
										</td>
										<td>
											{$row.user_attendance_rows.days_worked.week.avg}
										</td>
										<td>
											{$row.user_attendance_rows.days_worked.week.max}
										</td>
										<td>
											--
										</td>

										<td>
											{$row.user_attendance_rows.days_worked.month.min}
										</td>
										<td>
											{$row.user_attendance_rows.days_worked.month.avg}
										</td>
										<td>
											{$row.user_attendance_rows.days_worked.month.max}
										</td>
										<td>
											--
										</td>
									</tr>

									{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
									<tr class="{$row_class}">
										<td class="cellLeftEditTable">
											Regular Time:
										</td>
										<td>
											{gettimeunit value=$row.user_attendance_rows.hours_worked.regular.0.day.min|default:0}
										</td>
										<td>
											{gettimeunit value=$row.user_attendance_rows.hours_worked.regular.0.day.avg|default:0}
										</td>
										<td>
											{gettimeunit value=$row.user_attendance_rows.hours_worked.regular.0.day.max|default:0}
										</td>
										<td>
											{$row.user_attendance_rows.hours_worked.regular.0.day.date_units|default:0}
										</td>

										<td>
											{gettimeunit value=$row.user_attendance_rows.hours_worked.regular.0.week.min|default:0}
										</td>
										<td>
											{gettimeunit value=$row.user_attendance_rows.hours_worked.regular.0.week.avg|default:0}
										</td>
										<td>
											{gettimeunit value=$row.user_attendance_rows.hours_worked.regular.0.week.max|default:0}
										</td>
										<td>
											{$row.user_attendance_rows.hours_worked.regular.0.week.date_units|default:0}
										</td>

										<td>
											{gettimeunit value=$row.user_attendance_rows.hours_worked.regular.0.month.min|default:0}
										</td>
										<td>
											{gettimeunit value=$row.user_attendance_rows.hours_worked.regular.0.month.avg|default:0}
										</td>
										<td>
											{gettimeunit value=$row.user_attendance_rows.hours_worked.regular.0.month.max|default:0}
										</td>
										<td>
											{$row.user_attendance_rows.hours_worked.regular.0.month.date_units|default:0}
										</td>
									</tr>

									{foreach from=$row.user_attendance_rows.hours_worked.over_time item=attendance_over_time name=attendance_over_time}
									{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
									<tr class="{$row_class}">
										<td class="cellLeftEditTable">
											{$attendance_over_time.name}:
										</td>

										<td>
											{gettimeunit value=$attendance_over_time.day.min|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_over_time.day.avg|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_over_time.day.max|default:0}
										</td>
										<td>
											{$attendance_over_time.day.date_units|default:0}
										</td>

										<td>
											{gettimeunit value=$attendance_over_time.week.min|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_over_time.week.avg|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_over_time.week.max|default:0}
										</td>
										<td>
											{$attendance_over_time.week.date_units|default:0}
										</td>

										<td>
											{gettimeunit value=$attendance_over_time.month.min|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_over_time.month.avg|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_over_time.month.max|default:0}
										</td>
										<td>
											{$attendance_over_time.month.date_units|default:0}
										</td>
									</tr>
									{/foreach}

									{foreach from=$row.user_attendance_rows.hours_worked.premium item=attendance_premium name=attendance_premium}
									{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
									<tr class="{$row_class}">
										<td class="cellLeftEditTable">
											{$attendance_premium.name}:
										</td>

										<td>
											{gettimeunit value=$attendance_premium.day.min|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_premium.day.avg|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_premium.day.max|default:0}
										</td>
										<td>
											{$attendance_premium.day.date_units|default:0}
										</td>

										<td>
											{gettimeunit value=$attendance_premium.week.min|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_premium.week.avg|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_premium.week.max|default:0}
										</td>
										<td>
											{$attendance_premium.week.date_units|default:0}
										</td>

										<td>
											{gettimeunit value=$attendance_premium.month.min|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_premium.month.avg|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_premium.month.max|default:0}
										</td>
										<td>
											{$attendance_premium.month.date_units|default:0}
										</td>
									</tr>
									{/foreach}

									{foreach from=$row.user_attendance_rows.hours_worked.absence item=attendance_absence name=attendance_absence}
									{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
									<tr class="{$row_class}">
										<td class="cellLeftEditTable">
											{$attendance_absence.name}:
										</td>

										<td>
											{gettimeunit value=$attendance_absence.day.min|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_absence.day.avg|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_absence.day.max|default:0}
										</td>
										<td>
											{$attendance_absence.day.date_units|default:0}
										</td>

										<td>
											{gettimeunit value=$attendance_absence.week.min|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_absence.week.avg|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_absence.week.max|default:0}
										</td>
										<td>
											{$attendance_absence.week.date_units|default:0}
										</td>

										<td>
											{gettimeunit value=$attendance_absence.month.min|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_absence.month.avg|default:0}
										</td>
										<td>
											{gettimeunit value=$attendance_absence.month.max|default:0}
										</td>
										<td>
											{$attendance_absence.month.date_units|default:0}
										</td>
									</tr>
									{/foreach}

								</table>
							</td>
						</tr>
					{/if}

					{* Exception History *}
					{if isset($columns.exception)}
						<tr>
							<td colspan="2">
								<table class="tblList">
									{foreach from=$row.user_exception_rows item=exception name=exception}
										{if $smarty.foreach.exception.first}
											<tr class="tblHeader">
												<td colspan="100">
													Exception History
												</td>
											</tr>
											<tr class="tblHeader">
												<td rowspan="2">
													Exception
												</td>
												<td rowspan="2">
													Total
												</td>
												<td rowspan="100">
													<br>
												</td>
												<td colspan="3">
													Per Week<br>
												</td>
												<td rowspan="100">
													<br>
												</td>
												<td colspan="3">
													Per Month<br>
												</td>
												<td rowspan="100">
													<br>
												</td>
												<td colspan="7">
													Day of Week<br>
												</td>
											</tr>

											<tr class="tblHeader">
												<td>
													Min
												</td>
												<td>
													Avg
												</td>
												<td>
													Max
												</td>

												<td>
													Min
												</td>
												<td>
													Avg
												</td>
												<td>
													Max
												</td>

												<td>
													Sun
												</td>
												<td>
													Mon
												</td>
												<td>
													Tue
												</td>
												<td>
													Wed
												</td>
												<td>
													Thu
												</td>
												<td>
													Fri
												</td>
												<td>
													Sat
												</td>
											</tr>

										{/if}
									{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
									<tr class="{$row_class}">
										<td class="cellLeftEditTable">
											{$exception.week.name}
										</td>
										<td>
											{$exception.week.total}
										</td>

										<td>
											{$exception.week.min}
										</td>
										<td>
											{$exception.week.avg}
										</td>
										<td>
											{$exception.week.max}
										</td>

										<td>
											{$exception.month.min}
										</td>
										<td>
											{$exception.month.avg}
										</td>
										<td>
											{$exception.month.max}
										</td>

										<td {if $exception.dow.max.dow == 0}id="red"{/if}>
											{$exception.dow.0|default:0}
										</td>
										<td {if $exception.dow.min.dow == 1}id="green"{elseif $exception.dow.max.dow == 1}id="red"{/if}>
											{$exception.dow.1|default:0}
										</td>
										<td {if $exception.dow.min.dow == 2}id="green"{elseif $exception.dow.max.dow == 2}id="red"{/if}>
											{$exception.dow.2|default:0}
										</td>
										<td {if $exception.dow.min.dow == 3}id="green"{elseif $exception.dow.max.dow == 3}id="red"{/if}>
											{$exception.dow.3|default:0}
										</td>
										<td {if $exception.dow.min.dow == 4}id="green"{elseif $exception.dow.max.dow == 4}id="red"{/if}>
											{$exception.dow.4|default:0}
										</td>
										<td {if $exception.dow.min.dow == 5}id="green"{elseif $exception.dow.max.dow == 5}id="red"{/if}>
											{$exception.dow.5|default:0}
										</td>
										<td {if $exception.dow.min.dow == 6}id="green"{elseif $exception.dow.max.dow == 6}id="red"{/if}>
											{$exception.dow.6|default:0}
										</td>
									</tr>
									{foreachelse}
										<tr class="tblHeader">
											<td colspan="100">
												No Exception History
											</td>
										</tr>
									{/foreach}

								</table>
							</td>
						</tr>
					{/if}

					<tr>
						<td>
							<br>
							<br>
						</td>
					</tr>
				{foreachelse}
					<tr class="tblDataWhiteNH">
						<td colspan="100">
							No results match your filter criteria.
						</td>
					</tr>
				{/foreach}

				<tr>
					<td class="tblHeader" colspan="100" align="center">
						Generated: {getdate type="DATE+TIME" epoch=$generated_time}
					</td>
				</tr>
			</table>
		</form>
	</div>
</div>
{include file="footer.tpl"}